<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.goldenwater.slaj.hidd.mapper.TBusiHiddEvaMapper">
    <resultMap type="com.goldenwater.slaj.hidd.domain.TBusiHiddEva" id="TBusiHiddEvaResult">
        <result property="guid" column="guid"/>
        <result property="orgGuid" column="org_guid"/>
        <result property="createTime" column="create_time"/>
        <result property="startDate" column="start_date"/>
        <result property="endDate" column="end_date"/>
        <result property="orgNum" column="org_num"/>
        <result property="engNum" column="eng_num"/>
        <result property="oengOrg" column="oeng_org"/>
        <result property="hiddOrg" column="hidd_org"/>
        <result property="hiddEng" column="hidd_eng"/>
        <result property="monOrg" column="mon_org"/>
        <result property="pcl" column="pcl"/>
        <result property="lbl" column="lbl"/>
        <result property="ybl" column="ybl"/>
        <result property="hiddNum" column="hidd_num"/>
        <result property="ybHidd" column="yb_hidd"/>
        <result property="zdHidd" column="zd_hidd"/>
        <result property="zgYbHidd" column="zg_yb_hidd"/>
        <result property="zgZdHidd" column="zg_zd_hidd"/>
        <result property="ybZgl" column="yb_zgl"/>
        <result property="zdZgl" column="zd_zgl"/>
        <result property="hiddZgl" column="hidd_zgl"/>
        <result property="zgFx" column="zg_fx"/>
        <result property="monFx" column="mon_fx"/>
        <result property="pcfx" column="pcfx"/>
        <result property="yhFx" column="yh_fx"/>
        <result property="hisHidd" column="his_hidd"/>
        <result property="hisYb" column="his_yb"/>
        <result property="hisZd" column="his_zd"/>
        <result property="hisZgYb" column="his_zg_yb"/>
        <result property="hisZgZd" column="his_zg_zd"/>
        <result property="hisZgHidd" column="his_zg_hidd"/>
        <result property="ohiddOrg" column="ohidd_org"/>
        <result property="dateType" column="date_type"/>
    </resultMap>
    <sql id="selectTBusiHiddEvaVo">
        select guid, org_guid, create_time, start_date, end_date, org_num, eng_num, oeng_org,
               hidd_org, hidd_eng, mon_org, pcl, lbl, ybl, hidd_num, yb_hidd, zd_hidd,
               zg_yb_hidd, zg_zd_hidd, yb_zgl, zd_zgl, hidd_zgl, zg_fx, mon_fx, pcfx, yh_fx,
               his_hidd, his_yb, his_zd, his_zg_yb, his_zg_zd, his_zg_hidd, ohidd_org, date_type
        from t_busi_hidd_eva
    </sql>
    <select id="selectTBusiHiddEvaById" parameterType="String" resultMap="TBusiHiddEvaResult">
        <include refid="selectTBusiHiddEvaVo"/>
        where guid = #{guid}
    </select>
    <select id="selectTBusiHiddEvaList" parameterType="com.goldenwater.slaj.hidd.domain.TBusiHiddEva" resultMap="TBusiHiddEvaResult">
        <include refid="selectTBusiHiddEvaVo"/>
        <where>
            <if test="orgGuid != null and orgGuid != ''">AND org_guid = #{orgGuid}</if>
            <if test="createTime != null and createTime != ''">AND create_time = #{createTime}</if>
            <if test="dateType != null and dateType != ''">AND date_type = #{dateType}</if>
        </where>
    </select>
    <insert id="insertTBusiHiddEva" parameterType="com.goldenwater.slaj.hidd.domain.TBusiHiddEva">
        insert into t_busi_hidd_eva (guid, org_guid, create_time, start_date, end_date, org_num, eng_num, oeng_org, hidd_org, hidd_eng, mon_org, pcl, lbl, ybl, hidd_num, yb_hidd, zd_hidd, zg_yb_hidd, zg_zd_hidd, yb_zgl, zd_zgl, hidd_zgl, zg_fx, mon_fx, pcfx, yh_fx, his_hidd, his_yb, his_zd, his_zg_yb, his_zg_zd, his_zg_hidd, ohidd_org, date_type)
        values (#{guid}, #{orgGuid}, #{createTime}, #{startDate}, #{endDate}, #{orgNum}, #{engNum}, #{oengOrg}, #{hiddOrg}, #{hiddEng}, #{monOrg}, #{pcl}, #{lbl}, #{ybl}, #{hiddNum}, #{ybHidd}, #{zdHidd}, #{zgYbHidd}, #{zgZdHidd}, #{ybZgl}, #{zdZgl}, #{hiddZgl}, #{zgFx}, #{monFx}, #{pcfx}, #{yhFx}, #{hisHidd}, #{hisYb}, #{hisZd}, #{hisZgYb}, #{hisZgZd}, #{hisZgHidd}, #{ohiddOrg}, #{dateType})
    </insert>
    <update id="updateTBusiHiddEva" parameterType="com.goldenwater.slaj.hidd.domain.TBusiHiddEva">
        update t_busi_hidd_eva
        <set>
            <if test="orgGuid != null">org_guid = #{orgGuid},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="startDate != null">start_date = #{startDate},</if>
            <if test="endDate != null">end_date = #{endDate},</if>
            <if test="orgNum != null">org_num = #{orgNum},</if>
            <if test="engNum != null">eng_num = #{engNum},</if>
            <if test="oengOrg != null">oeng_org = #{oengOrg},</if>
            <if test="hiddOrg != null">hidd_org = #{hiddOrg},</if>
            <if test="hiddEng != null">hidd_eng = #{hiddEng},</if>
            <if test="monOrg != null">mon_org = #{monOrg},</if>
            <if test="pcl != null">pcl = #{pcl},</if>
            <if test="lbl != null">lbl = #{lbl},</if>
            <if test="ybl != null">ybl = #{ybl},</if>
            <if test="hiddNum != null">hidd_num = #{hiddNum},</if>
            <if test="ybHidd != null">yb_hidd = #{ybHidd},</if>
            <if test="zdHidd != null">zd_hidd = #{zdHidd},</if>
            <if test="zgYbHidd != null">zg_yb_hidd = #{zgYbHidd},</if>
            <if test="zgZdHidd != null">zg_zd_hidd = #{zgZdHidd},</if>
            <if test="ybZgl != null">yb_zgl = #{ybZgl},</if>
            <if test="zdZgl != null">zd_zgl = #{zdZgl},</if>
            <if test="hiddZgl != null">hidd_zgl = #{hiddZgl},</if>
            <if test="zgFx != null">zg_fx = #{zgFx},</if>
            <if test="monFx != null">mon_fx = #{monFx},</if>
            <if test="pcfx != null">pcfx = #{pcfx},</if>
            <if test="yhFx != null">yh_fx = #{yhFx},</if>
            <if test="hisHidd != null">his_hidd = #{hisHidd},</if>
            <if test="hisYb != null">his_yb = #{hisYb},</if>
            <if test="hisZd != null">his_zd = #{hisZd},</if>
            <if test="hisZgYb != null">his_zg_yb = #{hisZgYb},</if>
            <if test="hisZgZd != null">his_zg_zd = #{hisZgZd},</if>
            <if test="hisZgHidd != null">his_zg_hidd = #{hisZgHidd},</if>
            <if test="ohiddOrg != null">ohidd_org = #{ohiddOrg},</if>
            <if test="dateType != null">date_type = #{dateType},</if>
        </set>
        where guid = #{guid}
    </update>
    <delete id="deleteTBusiHiddEvaById" parameterType="String">
        delete from t_busi_hidd_eva where guid = #{guid}
    </delete>
    <delete id="deleteTBusiHiddEvaByIds" parameterType="String">
        delete from t_busi_hidd_eva where guid in
        <foreach item="guid" collection="array" open="(" separator="," close=")">
            #{guid}
        </foreach>
    </delete>
</mapper>
